Subject: Current state of AM33xx patches

From: [email-masked] (Daniel Mack)
Date: Mon, 23 Jul 2012 08:30:47 +0200

On 05.07.2012 19:45, N, Mugunthan V wrote:
>> -----Original Message-----
>> From: Daniel Mack [mailto:zonque at gmail.com]
>> Sent: Wednesday, July 04, 2012 4:52 PM
>> To: Hiremath, Vaibhav
>> Cc: Paul Walmsley; Nori, Sekhar; Jason Kridner; Tony Lindgren; Hilman,
>> Kevin; Hernandez, Carlos; Maupin, Chase; linux-omap at vger.kernel.org;
>> linux-arm-kernel at lists.infradead.org; Kridner, Jason; N, Mugunthan V
>> Subject: Re: Current state of AM33xx patches
>>
>> On 04.07.2012 12:50, Hiremath, Vaibhav wrote:
>>> On Wed, Jul 04, 2012 at 15:37:31, Paul Walmsley wrote:
>>>> On Sat, 30 Jun 2012, Daniel Mack wrote:
>>>>
>>>>> Ok, thanks for the explaining this. For now, I'll add hwmod stubs for
>>>>> the components I need.
>>>>
>>>> Hmm.  Which drivers are you working on?  Vaibhav Hiremath has hwmod
>> data
>>>> for the AM33xx.  There might be some missing integration code to build
>> the
>>>> devices for the newer IP blocks, though.
>>>>
>>>
>>> I would also be interested to know more here.
>>>
>>>
>>>>> Btw, has anyone yet worked on getting the MDIO/EMAC driver merged?
>>>>
>>>> Mainline has:
>>>>
>>>> drivers/net/ethernet/ti/davinci_emac.c
>>>
>>> Not required for AM335X.
>>>
>>>> drivers/net/ethernet/ti/davinci_mdio.c
>>>>
>>>> Those might work for you.
>>>>
>>>
>>> Few more files,
>>>
>>> drivers/net/ethernet/ti/cpsw.c
>>> drivers/net/ethernet/ti/davinci_cpdma.c
>>>
>>>
>>> Wanted to highlight one point,
>>> You still have to add platform device code to get it working.
>>
>> Exactly. And a hwmod binding for DT. Do you have patches for that?
>>
>>
>> Daniel
> 
> I am working on DT support for cpsw and will be submitting the patch by 
> July 20, 2012

Just curious - have you made any progress on that yet?

Thanks,
Daniel